/*
 * JPA entity PK template
 */

package de.ivu.elect.business.personenpruefung.entity;

@javax.enterprise.inject.Vetoed
public class PersonPruefungKonfigurationPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<PersonPruefungKonfigurationPK> {

  private static final long serialVersionUID = 0L;

  public PersonPruefungKonfigurationPK() {
    super();
  }

  public PersonPruefungKonfigurationPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "PersonPruefungKonfigurationPK:"+getId();
  }

  @Override
  public int compareTo(PersonPruefungKonfigurationPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
